
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>RDS for MySQL Mysqldump 常见问题和处理 / iVAN</title>

    <meta name="description" content="RDS for MySQL Mysqldump 常见问题和处理 RDS for MySQL Mysqldump 常见问题和处理   GTID 特性相关 避免表级锁等待 设置导出字符集 其他导出时需要注意的选项 举例 RDS for MySQL 不支持的选项 RDS for MySQL 逻辑备份 1. GTID 特性相关 MySQL 5.6 引入了 GTID 特性,因此随 5.6 版本分发的 mysqldump 工具增加了 --set-gtid-purged 选项. # 选项名称 默认值 可选值 作用 1 set-gtid-purged AUTO ON, OF">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">RDS for MySQL Mysqldump 常见问题和处理</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h1>RDS for MySQL Mysqldump 常见问题和处理</h1>
<p> </p>
<ul>
<li>GTID 特性相关</li>
<li>避免表级锁等待</li>
<li>设置导出字符集</li>
<li>其他导出时需要注意的选项</li>
<li>举例</li>
<li>RDS for MySQL 不支持的选项</li>
<li>RDS for MySQL 逻辑备份</li>
</ul>
<hr>
<h2>1. GTID 特性相关</h2>
<p>MySQL 5.6 引入了 GTID 特性，因此随 5.6 版本分发的 mysqldump 工具增加了 --set-gtid-purged 选项。</p>
<table>
<tbody>
<tr>
<td>#</td>
<td>选项名称</td>
<td>默认值</td>
<td>可选值</td>
<td>作用</td>
</tr>
<tr>
<td>
<br />1</p>
</td>
<td>
<br />set-gtid-purged</p>
</td>
<td>
<br />AUTO</p>
</td>
<td>
<br />ON, OFF, AUTO</p>
</td>
<td>
<br />是否输出 SET @@GLOBAL.GTID_PURGED 子句</p>
</td>
</tr>
</tbody>
</table>
<ul>
<li>ON：在 mysqldump 输出中包含 SET @@GLOBAL.GTID_PURGED 语句。</li>
<li>OFF：在 mysqldump 输出中不包含 SET @@GLOBAL.GTID_PURGED 语句。</li>
<li>AUTO：默认值；对于启用 GTID 实例，会输出 SET @@GLOBAL.GTID_PURGED 语句；对于没有启动或者不支持 GTID 的实例，不输出任何 GTID 相关信息。</li>
</ul>
<p>因此对于使用 MySQL 5.6 及以上版本带有的 mysqldump 工具进行 RDS for MySQL 实例数据导出时设置该选项为 OFF。</p>
<p><em>注：</em></p>
<p>如果 mysqldump 设置 set-gtid-purged=ON  从 RDS for MySQL 5.5 或 5.1 版本实例导出数据，mysqldump 会提示下面的错误：</p>
<pre><code>Error: Server has GTIDs disabled.
或者
mysqldump: Couldn’t execute ‘SELECT @@GTID_MODE’: Unknown system variable ‘GTID_MODE’ &lt;1193&gt;</code></pre>
<p>  </p>
<h2>2. 避免表级锁等待</h2>
<p>mysqldump 默认会启用 lock-tables 选项，对要导出的表加表级锁，阻止表上的 DML 操作。</p>
<p>RDS for MySQL 实例默认支持的 InnoDB 和 TokuDB 引擎均支持事务，建议使用  single-transaction 选项进行导出，而不要设置 lock-all-tables 或 lock-tables 选项。</p>
<table>
<tbody>
<tr>
<td>#</td>
<td>选项名称</td>
<td>默认值</td>
<td>可选值</td>
<td>作用</td>
</tr>
<tr>
<td>1</td>
<td>lock-all-tables</td>
<td>FALSE</td>
<td>FALSE,TRUE</td>
<td>在数据导出期间放置 global read lock，所有库下的所有表在导出期间为只读。自动关闭 lock-tables 和 single-transaction 选项。RDS 不支持该选项。</td>
</tr>
<tr>
<td>2</td>
<td>lock-tables</td>
<td>TRUE</td>
<td>FALSE,TRUE</td>
<td>导出期间在导出表上放置表级锁。默认开启。可以通过指定 --skip-lock-tables 选项来关闭。</td>
</tr>
<tr>
<td>3</td>
<td>single-transaction</td>
<td>FALSE</td>
<td>FALSE,TRUE</td>
<td>导出操作被放置在一个事务中执行。自动关闭 lock-tables 选项。</td>
</tr>
</tbody>
</table>
<p>关于表级锁的情况，请参考：RDS for MySQL InnoDB表级锁等待</p>
<p> </p>
<h2>3. 设置导出字符集</h2>
<p>如果不指定，mysqldump 默认使用 UTF8 字符集进行导出。</p>
<table>
<tbody>
<tr>
<td>#</td>
<td>选项名称</td>
<td>默认值</td>
<td>可选值</td>
<td>作用</td>
</tr>
<tr>
<td>1</td>
<td>default-character-set</td>
<td>UTF8</td>
<td>实例支持的字符集</td>
<td>mysqldump 到 RDS 实例导出连接的字符集</td>
</tr>
</tbody>
</table>
<p> </p>
<h2>4. 其他导出时需要注意的选项</h2>
<table>
<tbody>
<tr>
<td>#</td>
<td>选项名称</td>
<td>默认值</td>
<td>可选值</td>
<td>作用</td>
</tr>
<tr>
<td>1</td>
<td>no-defaults</td>
<td>NA</td>
<td>NA</td>
<td>除了.mylogin.cnf，不读取任何选项文件</td>
</tr>
<tr>
<td>2</td>
<td>defaults-file=file_name</td>
<td>NA</td>
<td>NA</td>
<td>读取指定的选项文件</td>
</tr>
<tr>
<td>3</td>
<td>add-drop-database</td>
<td>FALSE</td>
<td>FALSE,TRUE</td>
<td>在 create database 语句前增加 drop database 语句</td>
</tr>
<tr>
<td>4</td>
<td>add-drop-table</td>
<td>TRUE</td>
<td>FALSE,TRUE</td>
<td>在 create table 语句前增加 drop table 语句，默认开启，使用选项 --skip-add-drop-table 来关闭。</td>
</tr>
<tr>
<td>5</td>
<td>add-locks</td>
<td>TRUE</td>
<td>FALSE,TRUE</td>
<td>在表相关语句前后增加 lock tables tab_name write; 和 unlock tables; 语句。这样在导入数据时可以加快数据导入。</td>
</tr>
<tr>
<td>6</td>
<td>compatible=name</td>
<td>NA</td>
<td>
<br />ansi,postgresql,</p>
<p>oracle,mssql</p>
</td>
<td>增强与指定的数据库类型的兼容性</td>
</tr>
<tr>
<td>7</td>
<td>compact</td>
<td>FALSE</td>
<td>FALSE,TRUE</td>
<td>启用 --skip-add-drop-table, --skip-add-locks, --skip-comments, --skip-disable-keys, --skip-set-charset 选项</td>
</tr>
<tr>
<td>8</td>
<td>databases</td>
<td>TRUE</td>
<td>FALSE,TRUE</td>
<td>导出多个库。默认 mysqldump 将第一个名字识别为库，其后的名字识别为表。指定该选项后，mysqldump会将所有名称识别为库，并在每个库前增加 create database 和 use database 语句。</td>
</tr>
<tr>
<td>9</td>
<td>disable-keys</td>
<td>TRUE</td>
<td>FALSE,TRUE</td>
<td>在插入数据前后增加 /<em>!40000 ALTER TABLE tab_name DISABLE KEYS </em>/ 和 /<em>!40000 ALTER TABLE tab_name ENABLE KEYS </em>/ 语句来加速插入。该选项仅对 MyISAM 引擎表的非唯一索引有效。</td>
</tr>
<tr>
<td>10</td>
<td>events</td>
<td>FALSE</td>
<td>FALSE,TRUE</td>
<td>导出数据库内的计划事件（定时任务）</td>
</tr>
<tr>
<td>11</td>
<td>extended-insert</td>
<td>TRUE</td>
<td>FALSE,TRUE</td>
<td>使用扩展的 Insert 语句，一条 Insert 语句插入多行。</td>
</tr>
<tr>
<td>12</td>
<td>hex-blob</td>
<td>FALSE</td>
<td>FALSE,TRUE</td>
<td>
<br />以16进制导出 Binary、VarBinary、BLOB 类型数据。</p>
<p>如果跨版本迁移数据，建议增加该选项。</p>
</td>
</tr>
<tr>
<td>13</td>
<td>ignore-table=db.tab</td>
<td>TRUE</td>
<td>FALSE,TRUE</td>
<td>不导出某表或视图。格式：库名.表名（db.tab)。可以多次使用该选项来忽略多张表。</td>
</tr>
<tr>
<td>14</td>
<td>max-allowed-packet</td>
<td>24 MB</td>
<td>24 MB - 1 GB</td>
<td>mysqldump 和 RDS 实例通信缓存最大值。默认24 MB。最大 1 GB。</td>
</tr>
<tr>
<td>15</td>
<td>no-create-db</td>
<td>FALSE</td>
<td>FALSE,TRUE</td>
<td>输出中不包含 create database 语句</td>
</tr>
<tr>
<td>16</td>
<td>no-create-info</td>
<td>FALSE</td>
<td>FALSE,TRUE</td>
<td>输出中不包含 create table 语句</td>
</tr>
<tr>
<td>17</td>
<td>no-data</td>
<td>FALSE</td>
<td>FALSE,TRUE</td>
<td>不导出数据</td>
</tr>
<tr>
<td>18</td>
<td>opt</td>
<td>TRUE</td>
<td>FALSE,TRUE</td>
<td>启用  --add-drop-table, --add-locks, --create-options --disable-keys, --extended-insert, --lock-tables, --quick, --set-charset; 可以通过指定 skip-opt 选项关闭默认 opt 选项。</td>
</tr>
<tr>
<td>19</td>
<td>dump-date</td>
<td>TRUE</td>
<td>FALSE,TRUE</td>
<td>如果指定了 --comments 选项（默认开启），在输出的注释中显示导出日期时间。</td>
</tr>
<tr>
<td>20</td>
<td>routines</td>
<td>FALSE</td>
<td>FALSE,TRUE</td>
<td>导出存储过程和函数（默认不导出）</td>
</tr>
<tr>
<td>21</td>
<td>result-file</td>
<td>TRUE</td>
<td>FALSE,TRUE</td>
<td>将输出重定向到文件</td>
</tr>
<tr>
<td>22</td>
<td>set-charset</td>
<td>TRUE</td>
<td>FALSE,TRUE</td>
<td>在导出文件中加上 set names default_chararacter_set</td>
</tr>
<tr>
<td>23</td>
<td>triggers</td>
<td>TRUE</td>
<td>FALSE,TRUE</td>
<td>导出表上的 Trigger</td>
</tr>
</tbody>
</table>
<h2>5. 举例</h2>
<h3>5.1 导出库 jacky 下的 teacher 表，包括表上的触发器，导出字符集是 utf8mb4</h3>
<pre><code>mysqldump --no-defaults -hxxx.mysql.aliyun.com -uuser_name -P3306 -ppass_word --set-gtid-purged=off --default-character-set=utf8mb4 --hex-blob --single-transaction --result-file=jacky_teacher.sql jacky teacher
# -p 选项指定密码，密码和选项间不要有空格
# -P 选项指定实例的端口
# -h 选项指定 RDS 实例的 URL 地址
# -u 选项指定使用的数据库用户
# 也可以使用下面的方式进行导出
mysqldump --no-defaults -hxxx.mysql.aliyun.com -uuser_name -P3306 -ppass_word --set-gtid-purged=off --default-character-set=utf8mb4 --hex-blob --single-transaction jacky teacher &gt; jacky_teacher.sql</code></pre>
<p> </p>
<h3>5.2 导出库 jacky，包括存储过程和函数，不含 lock tables 和 unlock tables 语句</h3>
<pre><code>mysqldump --no-defaults -hxxx.mysql.rds.aliyuncs.com -uuser_name -ppass_word -P3306 --set-gtid-purged=off --hex-blob --single-transaction --routines --skip-add-locks --result-file=jacky.sql jacky
# --routines — 导出库涉及的存储过程和函数
# --skip-add-locks — 输出中不包括 lock tables table_name write; 和 unlock tables; 语句</code></pre>
<p>  </p>
<h3>5.3 导出库 jacky，包括存储过程、函数、触发器、事件，不包括数据</h3>
<pre><code>mysqldump --no-defaults -hxxx.mysql.rds.aliyuncs.com -uuser_name -ppass_word -P3306 --set-gtid-purged=off --hex-blob --single-transaction --routines --events --no-data --result-file=jacky.sql jacky
# 触发器选项 --triggers 默认开启，因此不需要指定
# --events — 导出库涉及的定时事件（计划任务）
# --no-data — 不导出数据</code></pre>
<p> </p>
<h3>5.4 导出库 jacky，不包括 库、表创建语句，不包括 drop table 语句</h3>
<pre><code>mysqldump --no-defaults -hxxx.mysql.rds.aliyuncs.com -uuser_name -ppass_word -P3306 --set-gtid-purged=off --hex-blob --single-transaction --no-create-db --no-create-info --skip-add-drop-table --result-file=jacky.sql jacky
# --no-create-db — 输出中不包括库的创建语句
# --no-create-info — 输出中不包括表的创建语句
# --skip-add-drop-table — 输出中不包括表的删除语句</code></pre>
<p> </p>
<h3>5.5 导出库 jacky，jerry，jason，不包括表 jacky.teacher, jason.orders, jerry.sales</h3>
<pre><code>mysqldump --no-defaults -hxxx.mysql.aliyun.com -uuser_name -P3306 -ppass_word --set-gtid-purged=off --hex-blob --single-transaction --result-file=jacky_jerry_jason.sql --ignore-table=jacky.teacher --ignore-table=jason.orders --ignore-table=jerry.sales --databases jacky jerry jason
# --ignore-table — 指定不进行导出的表
# --databases — 指定要进行导出的数据库名称</code></pre>
<p> </p>
<h3>5.6 导出库 jacky，包括存储过程和函数，尽量兼容 SQL SERVER 语法</h3>
<pre><code>mysqldump --no-defaults -hxxx.mysql.aliyun.com -uuser_name -P3306 -ppass_word --set-gtid-purged=off --compatible=mssql --routines --hex-blob --single-transaction --result-file=jacky_mssql.sql jacky
# --compatible=mssql — 增加对 SQL SERVER 的语法兼容性</code></pre>
<p> </p>
<h2>6. RDS for MySQL 不支持的选项</h2>
<table>
<tbody>
<tr>
<td>#</td>
<td>选项名称</td>
<td>默认值</td>
<td>可选值</td>
<td>作用</td>
</tr>
<tr>
<td>1</td>
<td>all-databases</td>
<td>FALSE</td>
<td>FALSE, TRUE</td>
<td>导出所有数据库，包括 mysql</td>
</tr>
<tr>
<td>2</td>
<td>flush-logs</td>
<td>FALSE</td>
<td>FALSE, TRUE</td>
<td>导出前在实例中执行 flush logs; 命令</td>
</tr>
<tr>
<td>3</td>
<td>flush-privileges</td>
<td>FALSE</td>
<td>FALSE, TRUE</td>
<td>导出 mysql 系统库后，输出中包含 flush privileges; 命令</td>
</tr>
<tr>
<td>4</td>
<td>lock-all-tables</td>
<td>FALSE</td>
<td>FALSE, TRUE</td>
<td>在数据导出期间放置 global read lock，所有库下的所有表在导出期间为只读。自动关闭 lock-tables 和 single-transaction 选项。</td>
</tr>
<tr>
<td>5</td>
<td>tab=dir_name</td>
<td>NA</td>
<td>NA</td>
<td>在指定的目录下生成 tbl_name.sql 文件（包含表创建语句）和 以 tab 作为分隔符的tbl_name.txt文本格式的数据文件。</td>
</tr>
</tbody>
</table>
<ul>
<li>--all-databases： RDS for MySQL 普通用户对 mysql 库中部分表没有权限，因此不能导出全部库表。</li>
</ul>
<pre><code># 错误信息：
mysqldump: Couldn’t execute ‘show create table slow_log‘: SHOW command denied to user ‘xxx’@’xx.xx.xx.xx’ for table ‘slow_log’ (1142)</code></pre>
<p> </p>
<ul>
<li>--flush-logs： RDS for MySQL 普通用户没有 Reload 权限，因此不能执行 flush logs; 命令。</li>
</ul>
<pre><code># 错误信息
mysqldump: Couldn’t execute ‘FLUSH TABLES’: Access denied; you need (at least one of) the RELOAD privilege(s) for this operation (1227)</code></pre>
<p> </p>
<ul>
<li>--flush-privileges：因为 RDS for MySQL 不支持 mysql 系统库的导出，因此没必要使用该选项。</li>
<li>--lock-all-tables：因为 RDS for MySQL 普通用户没有 Reload 权限，因此不能使用该选项。</li>
</ul>
<pre><code># 错误信息
mysqldump: Couldn’t execute ‘FLUSH TABLES’: Access denied; you need (at least one of) the RELOAD privilege(s) for this operation (1227)</code></pre>
<p> </p>
<ul>
<li>--tab=dir_name：该选项要求 mysqldump 和 RDS for MySQL 实例在同一物理机上，因此不支持。但该选项可以和 --no-data 选项搭配使用来获取表的创建语句。</li>
</ul>
<pre><code># 和 --no-data 选项搭配，获取 jacky 库下每个表的创建语句文件 tab_name.sql
mysqldump --no-defaults -uuser_name -ppass_word -hxxx.mysql.rds.aliyuncs.com -P3306 --set-gtid-purged=off --single-transaction --tab=/tmp --no-data jacky
# 不带 --no-data 选项（希望导出数据）时候的错误信息：
mysqldump --no-defaults -uuser_name -ppass_word -hxxx.mysql.rds.aliyuncs.com -P3306 --set-gtid-purged=off --single-transaction --tab=/tmp jacky
mysqldump: Got error: 1045: Access denied for user ‘xxx’@’%’ (using password: YES) when executing ‘SELECT INTO OUTFILE’</code></pre>
<p> </p>
<h2>7. RDS for MySQL 逻辑备份</h2>
<ul>
<li>RDS for MySQL 支持实例和单库级别的逻辑备份。</li>
<li>逻辑备份执行期间不会影响主实例的正常使用。</li>
<li>逻辑备份导入权限问题请参考：RDS for MySQL权限问题（错误代码：1227，1725）</li>
</ul>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-15 07:23:57</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%ad%98%e5%82%a8%e8%bf%87%e7%a8%8b/" title="存储过程">存储过程</a>, <a href="https://www.iamivan.net/tag/sql/" title="sql">sql</a>, <a href="https://www.iamivan.net/tag/mysql/" title="mysql">mysql</a>, <a href="https://www.iamivan.net/tag/rds/" title="RDS">RDS</a>, <a href="https://www.iamivan.net/tag/%e5%87%bd%e6%95%b0/" title="函数">函数</a>, <a href="https://www.iamivan.net/tag/create/" title="Create">Create</a>, <a href="https://www.iamivan.net/tag/database/" title="database">database</a>, <a href="https://www.iamivan.net/tag/%e5%ad%97%e7%ac%a6%e9%9b%86/" title="字符集">字符集</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>RDS for MySQL Mysqldump 常见问题和处理的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M9xkB4b.html" rel="bookmark">RDS for MySQL 空间问题的原因和解决</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				RDS for MySQL 空间问题的原因和解决   1. 原因 2. 解决 2.1 Binlog 文件 2.2 数据文件 2.3 临时文件 2.4 系统文件 RDS for MySQL 实例日常使用中随着实例的使用,会出现空间使用告警甚至超过实例限额被锁定的情况. 比如:   1. 原因 Binlog 日志文件占用高 数据文件占用高 临时文件占用高 系统文件占用高 实例空间使用情况可以在 RDS 控制台监控报警中查看: 2. 解决 RDS 实例支持单独升级磁盘空间,升级磁盘空间是解决空间问题的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bjw8LmM.html" rel="bookmark">使用 RDS for MySQL 配置到自建数据库的主从复制</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				场景 出于数据容灾.ETL.异地数据访问等目的,可能需要基于 RDS for MySQL 实例,搭建到自己线下MySQL实例的主从复制.这篇文章将给出简单的操作步骤,供大家参考.由于要使用GTID特性,因此要求MySQL版本&gt;=5.6. 前提条件 操作步骤 配置主实例 登录 RDS 控制台,选择目标实例. 配置从实例读取数据使用的只读账号和授权数据库. 将从实例的 IP 地址加入主实例的 IP 白名单中 如果从实例是部署在同一地域的 ECS 上,仅需配置该 ECS 的内网地址即可. 登录主实例			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYd8E9b.html" rel="bookmark">RDS for MySQL InnoDB 表级锁等待</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				RDS for MySQL InnoDB 表级锁等待   1. 显式 lock table 2. 隐式 lock table 在 RDS MySQL 实例日常使用中,有些情况下会发现出现 InnoDB 表级锁等待的情况,下面列出常见的2个原因.  1. 显式 lock table 执行了 lock tables tab_name read; 导致 DML 会话等待在表的表级锁上. 会话 1 lock tables tab_name read; 会话 2 会话 3   2. 隐式 lock tab			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b325mJz.html" rel="bookmark">RDS for MySQL查询缓存 &lpar;Query Cache&rpar; 的设置和使用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				功能和适用范围 原理 限制 设置 验证效果 1. 功能和适用范围 功能: 降低 CPU 使用率 降低 IOPS 使用率(某些情况下) 减少查询响应时间,提高系统的吞吐量 适用范围: 表数据修改不频繁.数据较静态 查询(Select)重复度高 查询结果集小于 1 MB 注: 查询缓存并不一定带来性能上的提升,在某些情况下(比如查询数量大,但重复的查询很少)开启查询缓存会带来性能的下降. 2. 原理 RDS for MySQL 对来自客户端的查询(Select)进行 Hash 计算得到该查询的Has			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6ZGWOM.html" rel="bookmark">RDS for MySQL 字符序（collation）引发的性能问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在帮客户排查问题的时候,经常会遇到的 RDS 实例性能问题(比如 RDS 实例 CPU 使用率高),而其中有一类是由于字符集的字符排序规则不一致导致的.从处理的过程中可以看出来,这类问题比较容易出现但不容易定位排查,所以今天通过两个实战案例来分析的下&quot;RDS for MySQL 字符序(collation)引发的性能问题&quot;. 首先介绍下背景知识: 字符集 和 字符序. 1. 字符集(character set)和字符序(collation) 字符集是一组符号和编码,用来保存和解释 My			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MY5Br9M.html" rel="bookmark">RDS for MySQL 使用 utf8mb4 字符集存储 emoji 表情</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				RDS for MySQL 使用 utf8mb4 字符集存储 emoji 表情 1. 基本原则 2. 三个条件的说明 2.1 应用客户端 2.2 应用到 RDS MySQL 实例的连接 2.3 RDS 实例配置 3. 通过 set names 命令设置会话字符集 1. 基本原则 如果要实现存储 emoji 表情到 RDS for MySQL 实例,需要应用客户端.到 RDS for MySQL 实例的连接.RDS 实例内部 3 个方面统一使用或者支持 utf8mb4 字符集. 注:关于 utf8			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1r9NKp.html" rel="bookmark">RDS for MySQL CPU 性能问题浅析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				RDS for MySQL CPU 性能问题浅析 1. 原因 1.1 应用负载高 1.2 查询执行成本高 2. 解决方法2.1 相关工具 2.2 应用负载高 2.3 查询语句执行成本高 3. 避免出现的一般原则 RDS for MySQL 实例在日常使用中,会碰到 CPU 使用率达到 100% 的情况.比如: 1. 原因 根本原因:应用提交的查询访问的 逻辑读(逻辑 IO) 总量 (需要访问的 表 数据) 过高. 大量逻辑读会导致数据缓存 Buffer Pool 中用于维护数据一致性的 Latc			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zV0XPkM.html" rel="bookmark">RDS for MySQL Online DDL 使用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				RDS for MySQL Online DDL 使用   Online DDL 的限制 Online DDL 建议的选项 异常处理 RDS for MySQL 5.6 支持 Online DDL 特性. Online DDL (在线 DDL)功能允许在表上执行 DDL 的操作(比如创建索引)的同时不阻塞并发的 DML 操作 和 查询(select)操作.  注: 从低版本(比如 RDS for MySQL 5.5)升级到 RDS for MySQL 5.6,第一次执行 DDL 时有可能会因为表			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z405VPz.html" rel="bookmark">RDS for MySQL InnoDB 行锁等待和锁等待超时的处理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				RDS for MySQL InnoDB 行锁等待和锁等待超时的处理   1. InnoDB 引擎表行锁等待和等待超时发生的场景 2.InnoDB 引擎行锁等待情况的处理 2.1 InnoDB 行锁等待超时参数 innodb_lock_wait_timeout 2.2 大量行锁等待和行锁等待超时的处理 1. InnoDB 引擎表行锁等待和等待超时发生的场景 当一个 RDS for MySQL 连接会话等待另外一个会话持有的互斥行锁时,会发生 InnoDB 引擎表行锁等待情况. 通常情况下,持有该			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XpmGYwb.html" rel="bookmark" class="title">四招教你给微软Word文档减减肥</a>
					<div>
						  一.将文档另存 在Word中打开一个&quot;.doc&quot;文档,在菜单栏上选择&quot;文件→另存为&quot;命令,将文件换名另存,现在对比一下两个文档,你会惊奇地发现,换名另存后的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/dzZ2dYz.html" rel="bookmark" class="title">超实用的IOS 9人机界面指南（1）：UI设计基础</a>
					<div>
						  1.1 为iOS而设计(Designing for iOS) iOS 表现了以下三大设计原则: 遵从(Deference):UI应该有助于用户更好地理解内容并与之交互,并且不会分散用户对内容本身的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/6b3Yd0p.html" rel="bookmark" class="title">java-求Java版的LDA源码，急</a>
					<div>
						问题描述 求Java版的LDA源码,急 RT 之前在网上搜了很久,都不能用 求达人指点 信箱:584671650@qq.com 解决方案 在sourceforge.net上有:JGibbLDA A J ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM1DJ8b.html" rel="bookmark" class="title">WordPress&period;com 开源，弃 PHP 改用 JavaScript</a>
					<div>
						WordPress.com 在今天迈出了自成立以来的最跨越性的一步.Automattic 公司从头重写了 WordPress.com,将这项计划命名为 Calypso(译者注:卡吕普索,希腊神话的海之 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2pL2xWb.html" rel="bookmark" class="title">如何安装和使用wine</a>
					<div>
						本文为初学者介绍wine的使用. 下载wine 最新的wine(推荐下载) http://www.linux-easy.com/daily/RPMS/wine-20011106-1.i386.rpm  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OM9dERb.html" rel="bookmark" class="title">ASP&period;NET 2&period;0中实现跨页面提交</a>
					<div>
						asp.net|页面 在ASP.NET 1.X 版本中,页面都是提交到自己本身,并不能方便的指定需要提交的目的页面.例如FirstPage.aspx中的button只能提交到FirstPage.asp ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM6dDoz.html" rel="bookmark" class="title">soap客户端&colon;php soap服务器端 c&num;客户端</a>
					<div>
						最近写了个php的soap服务器端,实现了php客户端的调用,却实现不了c#客户端的调用,看完了手册找了n久也没实现其访问,最后试用了一下nusoapsf.net上的一个开源项目,效果很好,很eacy ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM6j0gM.html" rel="bookmark" class="title">什么是设计？设计师的使命感是什么</a>
					<div>
						&quot;什么是设计?&quot;这样形而上的话题,他的思考用他自己的话说,开始渐渐用一个设计师的&quot;使命感&quot;要求自己了.你为什么要来到这个世界?你为什么要去做设计?你想为世界留下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0boQkDp.html" rel="bookmark" class="title">Flash 组件应用与开发详细讲解</a>
					<div>
						组件是带有参数的电影剪辑,这些参数可以用来修改组件的外观和行为.每个组件都有预定义的参数,并且它们可以被设置.每个组件还有一组属于自己的方法.属性和事件,它们被称为应用程序程接口(Applicatio ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJ7wAJb.html" rel="bookmark" class="title">HDU 3047 Zjnu Stadium：带权并查集</a>
					<div>
						链接: http://acm.hdu.edu.cn/showproblem.php?pid=3047 题目: Problem Description In 12th Zhejiang College  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVnloYz.html" rel="bookmark" class="title">给外景情侣照片加上古典青黄色 PS调色教程</a>
					<div>
						photoshop教程 1.打开原图素材,按Ctrl + J 把背景图层复制一层.进入通道面板,选择绿色通道按Ctrl + A 全选,按Ctrl + C 复制.选择蓝色通道按Ctrl + V 粘贴,点 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZOrqob.html" rel="bookmark" class="title">Excel怎么设置二级联动下拉菜单&quest;</a>
					<div>
						  Excel怎么设置二级联动下拉菜单?在excel里制作下拉菜单有好几种方法,我主要介绍下用数据有效性设置下拉菜单及怎么设置二级联动下拉菜单.这两种方法我将均以例子说明. 一.用数据有效性设置下拉菜 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYRj86p.html" rel="bookmark" class="title">一台设备全家能用 Win7让电脑分身有术</a>
					<div>
						  现在几乎家家都有电脑了,而且家里人从老到小,都多多少少地会一些电脑操作,哪怕只是玩纸牌.看动画.不过一家人年龄不同,使用电脑的需求也不同,而家中只有一台电脑,怎么能让它同时满足所有家人的需要呢?如 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBKGqdM.html" rel="bookmark" class="title">win8系统硬盘怎么分区？</a>
					<div>
						  在win7系统下的硬盘分区方法大多用户都知道如何操作,但换做win8系统后,却知道win8系统硬盘分区的方法不多见,同样在网络中类似win8分区的教程也不多见,故此小编在这里为大家带来了win8硬 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXjRPjb.html" rel="bookmark" class="title">ps提示暂存盘已满怎么办？</a>
					<div>
						  第一步.打开PS后选&quot;编辑&quot;-&quot;首选项&quot;--&quot;性能&quot;. 第二步.可以看到设定的暂存盘肯定是不够的,几个G以下的空间都是不够的,如果你平时 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPPKnDp.html" rel="bookmark" class="title">监听器如何获取Spring配置文件</a>
					<div>
						版权声明:尊重博主原创文章,转载请注明出处哦~http://blog.csdn.net/eson_15/article/details/51373937 目录(?)[+]         我们在做项目 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA7mD2z.html" rel="bookmark" class="title">如何评估Greenplum master 空间以及segment元数据占用的空间&period;</a>
					<div>
						Greenplum master节点是用来存储元数据的,包括 :序列,表,临时表,分区,函数,视图,类型,操作符,规则,触发器 等. segment 上也会存储部分元数据,序列,表,临时表,函数,视图 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE62aPM.html" rel="bookmark" class="title">sql-SQL查询显示多行变一行</a>
					<div>
						问题描述 SQL查询显示多行变一行 如图一数据表中的结果为: 想要显示为图二: 如何实现? 解决方案 select 名称, sum(decode(项目编码, '1', 得分)) 第一项得分, sum( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQr7mwM.html" rel="bookmark" class="title">JAVA大作业做界面问题求助~组件选择</a>
					<div>
						问题描述 大作业要求我简单说一下吧:人流模拟,如图所示,ABCDEFG是建筑,绿色的是道路,红色的点是人,然后就是模拟人流动来动去这样子,但是每个人不是一样的,每个红色的点都有属于他自己的独特属性(懒 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKKRVb.html" rel="bookmark" class="title">苹果监管压力加剧 iTunes账户频繁被黑</a>
					<div>
						网易科技讯 3月16日消息,据国外媒体报道,苹果iTunes商店广受应用开发商和消费者的欢迎,同时也引起了不法分子的注意.目前已有不少消费者的iTunes账户遭黑,资金被窃.在这一问题上,苹果正面临着 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3rmKAz.html" rel="bookmark" class="title">经典设计模式&mdash;&mdash;观察者模式</a>
					<div>
						    观察者模式定义了对象间一对多的关系,让一个或多个观察者对象观察一个主题对象.当主题对象的状态发生改变时,系统能通知所有的依赖于此对象的观察者,从而使得观察者对象能够自动更新.     在观察者 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6Zj9YM.html" rel="bookmark" class="title">mysql数据库应付大流量网站的的3种架构扩展方式介绍&lowbar;Mysql</a>
					<div>
						数据库扩展大概分为以下几个步骤: 1.读写分离:当数据库访问量还不是很大的时候,我们可以适当增加服务器,数据库主从复制的方式将读写分离: 2.垂直分区:当写入操作一旦增加的时候,那么主从数据库将花更多 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MydjyEb.html" rel="bookmark" class="title">福建肿瘤医院：用RG-DDI走出IP管理&OpenCurlyDoubleQuote;泥潭&rdquo;</a>
					<div>
						IP地址,一个普通用户不常了解,但却是信息时代每个人不可或缺的必备品,没有它也就无法连上互联网.而管理IP地址这项看起来&quot;没什么技术含量&quot;的工作,对于网络管理员来说却并不轻松,尤其 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkAZxjb.html" rel="bookmark" class="title">编码-关于HTML5中播放视频的问题</a>
					<div>
						问题描述 关于HTML5中播放视频的问题 我在iOS录屏,然后吧视频文件导出来后,放在服务端,HTML5访问时发现结果不一样: 1.Android/Window:视频是反过来的 2.iOS:视频是正常 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYXajrb.html" rel="bookmark" class="title">c语言-C替换文件中指定位置处的内容</a>
					<div>
						问题描述 C替换文件中指定位置处的内容 a.txt中的内容:key1=111key2=222key3=333 现想把key2的值替换成666如何直接找到那个位置把值给替换了 解决方案 读取文件内容到字 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBkXD4M.html" rel="bookmark" class="title">免费的ip数据库淘宝IP地址库简介和PHP调用实例&lowbar;php实例</a>
					<div>
						一.关于淘宝IP地址库 我们目前提供的服务包括:1. 根据用户提供的IP地址,快速查询出该IP地址所在的地理信息和地理相关的信息,包括国家.省.市和运营商.2. 用户可以根据自己所在的位置和使用的IP ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgEDx5z.html" rel="bookmark" class="title">jQuery中closest和parents的区别</a>
					<div>
						1.父级 parent()--唯一父级元素,可能是0个或1个元素. 2.祖先 parents(selected)--所有selected祖先(不包含根元素),可能是0个.1个或多个元素. closes ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXKOXvM.html" rel="bookmark" class="title">Linux有问必答：如何为sudo命令定义PATH环境变量</a>
					<div>
						Linux有问必答:如何为sudo命令定义PATH环境变量 问题:我安装了一个程序到/usr/local/bin目录下,这个程序需要root权限才能执行,当我用sudo去执行它时,收到&quot;su ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlmN0Np.html" rel="bookmark" class="title">ehcache上了以后就出现乱码</a>
					<div>
						问题描述 web系统,基于spring 2.5和hibernate 3.2系统先是好的,可是加了ehcache后,访问就出现乱码了web.xml文件片段如下:&lt;filter&gt;&lt;fil ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNvg5dM.html" rel="bookmark" class="title">native-出现这种错误，现在咋解决</a>
					<div>
						问题描述 出现这种错误,现在咋解决 java.io.IOException: 设备未就绪. at java.io.WinNTFileSystem.createFileExclusively(Nativ ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
